# Tarfile created using git
# git clone http://git.matt.colyer.name/2008/libiphone/
# git-archive --format=tar --prefix=libiphone-0.1.0/ %{git_version} | bzip2 > libiphone-0.1.0-20081201.tar.bz2

%define gitdate 20090103
%define git_version 5cde554
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2
%define snapshot %{gitdate}git%{git_version}

Name:           libiphone
Version:        0.1.0
Release:        4.%{snapshot}%{?dist}
Summary:        Library for connecting to Apple iPhone and iPod touch

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://matt.colyer.name/projects/iphone-linux/

Source0:        %{tarfile}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libxml2-devel
BuildRequires: libusb-devel
BuildRequires: libtasn1-devel
BuildRequires: glib2-devel
BuildRequires: gnutls-devel

# Require these until a formal release
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf

%description
libiphone is a library for connecting to Apple's iPhone or iPod touch devices

%package devel
Summary: Development package for libiphone
Group: Development/Libraries
Requires: libiphone = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with libiphone.

%prep
%setup -q

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libiphone.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%{_bindir}/libiphone-initconf
%{_libdir}/libiphone.so.0
%{_libdir}/libiphone.so.0.0.0
%{_datadir}/hal/fdi/information/20thirdparty/31-apple-mobile-device.fdi

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libiphone-1.0.pc
%{_libdir}/libiphone.so
%{_includedir}/libiphone

%changelog
* Mon Jan 5 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-4.git5cde554
- Update to latest git snapshot

* Tue Dec 2 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-3.git8c3a01e
- Fix git file generation

* Mon Dec 1 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-2.git8c3a01e
- Updates for package review

* Sat Nov 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- Initial package
